### Method

# Ide VcsMonitor ref_info

#### Declaration

    IdeVcsFileInfo*
    ide_vcs_monitor_ref_info (
      IdeVcsMonitor* self,
      GFile* file
    )

#### Description

Gets an `IdeVcsFileInfo` for the given `file`.

If the file information has not been loaded, `NULL` is returned. You can wait for `IdeVcsMonitor::reloaded` and query again if you expect the info to be there.

Available since: | 3.32

#### Parameters

`file` | `GFile`
| A `GFile`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `IdeVcsFileInfo`
| An `IdeVcsFileInfo` or `NULL`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.